import { Base, IList$1, Type } from "igniteui-webcomponents-core";
import { IDataObject } from "igniteui-webcomponents-core";
import { Sheet } from "igniteui-webcomponents-excel";
import { Workbook } from "igniteui-webcomponents-excel";
import { Worksheet } from "igniteui-webcomponents-excel";
import { CellRegionMapBase } from "./CellRegionMapBase";
/**
 * @hidden
 */
export declare class WorkbookDataObjectSaveContext extends Base {
    static $t: Type;
    private q;
    private i;
    private readonly n;
    private readonly o;
    private readonly k;
    private readonly j;
    private readonly c;
    private readonly d;
    readonly a: CellRegionMapBase;
    constructor(a: Workbook, b: IDataObject, c: (arg1: string) => boolean, d: () => boolean);
    get r(): IDataObject;
    set r(a: IDataObject);
    get e(): boolean;
    get f(): boolean;
    get l(): IList$1<Sheet>;
    b: Workbook;
    get m(): IList$1<Worksheet>;
    p(a: string, b: any): void;
    g(a: string): boolean;
    h(): boolean;
}
